- Public/Stable/Replaceable
  - maven_add_install
  - maven_delete_install
  - maven_initialize
  - maven_parse_args
- Public/Stable/Not Replaceable
  - maven_modules_worker
- Private/Evolving/Replaceable
  - dupname_icase_sort_array
  - maven_builtin_personality_file_tests
  - maven_builtin_personality_modules
  - maven_docker_support

## Public/Stable/Replaceable

### `maven_add_install`

- Synopsis

    maven_add_install test

- Description

Add the given test type as requiring a mvn install during the branch phase

- Returns

Nothing

Classification | Level
--- | ---
Audience | Public
Stability | Stable
Replaceable | Yes

### `maven_delete_install`

- Synopsis

    maven_delete_install test

- Description

Remove the given test type as requiring a mvn install

- Returns

Nothing

Classification | Level
--- | ---
Audience | Public
Stability | Stable
Replaceable | Yes

### `maven_initialize`

- Synopsis

    maven_initialize

- Description

initialize the maven build tool

- Returns

Nothing

Classification | Level
--- | ---
Audience | Public
Stability | Stable
Replaceable | Yes

### `maven_parse_args`

- Synopsis

    maven_parse_args

- Description

parse maven build tool args

- Returns

Nothing

Classification | Level
--- | ---
Audience | Public
Stability | Stable
Replaceable | Yes

## Public/Stable/Not Replaceable

### `maven_modules_worker`

- Synopsis

    maven_modules_worker

- Description

maven version of the modules_worker routine

- Returns

Nothing

Classification | Level
--- | ---
Audience | Public
Stability | Stable
Replaceable | No

## Private/Evolving/Replaceable

### `dupname_icase_sort_array`

- Synopsis

    dupname_icase_sort_array arrayvar

- Description

Sort an array by its elements, ignoring case

- Returns

Nothing

Classification | Level
--- | ---
Audience | Private
Stability | Evolving
Replaceable | Yes

### `maven_builtin_personality_file_tests`

- Synopsis

    maven_builtin_personality_file_tests

- Description

maven default test triggers

- Returns

Nothing

Classification | Level
--- | ---
Audience | Private
Stability | Evolving
Replaceable | Yes

### `maven_builtin_personality_modules`

- Synopsis

    maven_builtin_personality_modules

- Description

maven personality handler

- Returns

Nothing

Classification | Level
--- | ---
Audience | Private
Stability | Evolving
Replaceable | Yes

### `maven_docker_support`

- Synopsis

    maven_docker_support

- Description

set volumes and options as appropriate for maven

- Returns

Nothing

Classification | Level
--- | ---
Audience | Private
Stability | Evolving
Replaceable | Yes